## debocker 0.2.4

=== doc/Makefile ===
all: debocker.8 debocker.8.html

debocker.8.html: debocker.8.ronn
	ronn --html debocker.8.ronn --manual=debocker --organization=Debian

debocker.8: debocker.8.ronn
	ronn --roff debocker.8.ronn --manual=debocker --organization=Debian

push-html: debocker.8.html
	scp debocker.8.html debocker-server:debocker/index.html

clean:
	rm -f debocker.8 debocker.8.html

.PHONY: push-html

=== tests/Makefile ===
TEST_FILES := $(wildcard test-*.sh)
TESTS := $(TEST_FILES:.sh=.test)

testall: $(TESTS)

%.test:
	bash $*.sh > $@ 2>&1

clean:
	rm -f *.test

## debocker 0.2

=== debian/changelog ===
debocker (0.2) unstable; urgency=low

  * Initial Release.

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 20 Jul 2015 10:43:06 +0200

=== debian/control ===
Source: debocker
Section: devel
Priority: extra
Maintainer: Tomasz Buchert <tomasz@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3 (>= 3.3),
               python3-setuptools
Standards-Version: 3.9.6
Homepage: https://people.debian.org/~tomasz/debocker.html
Vcs-Git: git://anonscm.debian.org/collab-maint/debocker.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debocker.git

Package: debocker
Architecture: all
Depends: docker.io,
         python3 (>= 3.3),
         python3-click,
         ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Description: docker-powered package builder for Debian
 debocker builds Debian packages using docker. It is also capable to
 create bundles that can be shared to build the same package on
 different nodes.

## debocker 0.2.1

=== debian/changelog ===
debocker (0.2.1) unstable; urgency=medium

  * d/control: recommend docker instead of depending on it (Closes: #796063)

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 05 Nov 2015 17:18:27 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 Package: debocker
 Architecture: all
-Depends: docker.io,
-         python3 (>= 3.3),
+Recommends: docker.io
+Depends: python3 (>= 3.3),
          python3-click,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -22,4 +22,4 @@
 Description: docker-powered package builder for Debian
  debocker builds Debian packages using docker. It is also capable to
  create bundles that can be shared to build the same package on
- different nodes.
+ a different machine.

## debocker 0.2.2

=== debian/changelog ===
debocker (0.2.2) unstable; urgency=medium

  * fix manpage typo
  * d/control: update vcs links to salsa
  * refreshing packaging (debhelper 12, std-ver 4.3.0)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 26 Jan 2019 14:23:13 +0100

=== debian/control ===
Source: debocker
Maintainer: Tomasz Buchert <tomasz@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 12),
               debhelper-compat (= 12),
               dh-python,
               python3 (>= 3.3),
               python3-setuptools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/debocker
Vcs-Git: https://salsa.debian.org/debian/debocker.git
Homepage: https://people.debian.org/~tomasz/debocker.html

Package: debocker
Architecture: all
Depends: python3 (>= 3.3),
         python3-click,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: docker.io
Description: docker-powered package builder for Debian
 debocker builds Debian packages using docker. It is also capable to
 create bundles that can be shared to build the same package on
 a different machine.

## debocker 0.2.2+nmu1

=== debian/changelog ===
debocker (0.2.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:16:00 +0800

## debocker 0.2.3

=== debian/changelog ===
debocker (0.2.3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Mathieu Mirmont ]
  * build-tar: add *.buildinfo and ignore missing files
  * debocker: add upstream tarball signature file
  * debocker: use python3-debian to parse changelogs (Closes: 874578, #872474)

  [ Tomasz Buchert ]
  * bump std-ver to 4.4.0

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 28 Sep 2019 15:54:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Build-Depends: debhelper (>= 12),
                debhelper-compat (= 12),
                dh-python,
-               python3 (>= 3.3),
+               python3,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/debocker
 Vcs-Git: https://salsa.debian.org/debian/debocker.git
 Homepage: https://people.debian.org/~tomasz/debocker.html
 
 Package: debocker
 Architecture: all
-Depends: python3 (>= 3.3),
+Depends: python3,
          python3-click,
+         python3-debian,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

## debocker 0.2.4

=== debian/changelog ===
debocker (0.2.4) unstable; urgency=medium

  [ Tomasz Buchert ]
  * d/control: add Rules-Requires-Root: no

  [ gpernot ]
  * Added --build-arg cli parameter

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 14 Mar 2020 19:59:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                dh-python,
                python3,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/debocker
 Vcs-Git: https://salsa.debian.org/debian/debocker.git
 Homepage: https://people.debian.org/~tomasz/debocker.html
+Rules-Requires-Root: no
 
 Package: debocker
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=pybuild --with=python3

## debocker 0.2.5

=== debian/changelog ===
debocker (0.2.5) unstable; urgency=medium

  [ Guido Günther ]
  * Support podman

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 20 Oct 2022 01:45:23 +0200

=== debian/control ===
Source: debocker
Maintainer: Tomasz Buchert <tomasz@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 13),
               debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/debocker
Vcs-Git: https://salsa.debian.org/debian/debocker.git
Homepage: https://people.debian.org/~tomasz/debocker.html
Rules-Requires-Root: no

Package: debocker
Architecture: all
Depends: python3,
         python3-click,
         python3-debian,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: docker.io | podman
Description: docker-powered package builder for Debian
 debocker builds Debian packages using docker. It is also capable to
 create bundles that can be shared to build the same package on
 a different machine.

## debocker 0.2.6

=== debian/changelog ===
debocker (0.2.6) unstable; urgency=medium

  * Update version to 0.2.6

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 23 Feb 2025 10:23:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/debocker
 Vcs-Git: https://salsa.debian.org/debian/debocker.git
 Homepage: https://people.debian.org/~tomasz/debocker.html

## debocker 0.2.6build1

=== debian/changelog ===
debocker (0.2.6build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:50:11 +0000
